/* $Id$
 *
 * Copyright (c) 1999 Xenonsoft Limited. All Rights Reserved.
 *
 * This software is protected by copyright. You are hereby notified from
 * now by reading this message. This software is also the confidential 
 * and proprietary information of Xenonsoft Limited.  ("Confidential
 * Information"). 
 *
 * This software is distributed under the Xenonsoft Public end user 
 * License ("XPeL"), where the machine-readable source code is provided 
 * under the "Open Source" model.
 * For more information, please read the file "LICENSE-XPL.txt" 
 */

// File:`EnemyObject.java'
//
//
// DESCRIPTION
//	EnemyObject
// 
// Author
//
//	Peter Pilgrim
//	Tue May 18 23:09:12 BST 1999
// 
// RCS HEADER ``EnemyObject.java''
// 
//	$Author$
//	$Date$
//	$Source$
//	$Revision$    $State$    $Locker$
//

package xenon.gamekit;

public abstract class EnemyObject extends WorldObject 
{
    // Private object instance counter
    private static ObjectCounter	enemyCounter = new ObjectCounter();

    /** Constructor take a single game object */
    public EnemyObject( GameEngine gameEngine ) 
    {
	super( gameEngine );

	enemyCounter.increment();			/* ! */
    }

    public static int getInstanceCount() 
    {
	return enemyCounter.getCount();
    }
    
    public void	destroy()
    {
	enemyCounter.decrement();			/* ! */
	super.destroy();
    }
    

}


// fini
